# stacktrace.c File Reference

`#include <pspkernel.h>`
`#include <pspdebug.h>`
`#include <string.h>`

Include dependency graph for stacktrace.c:

## Defines

#define | CALL 0x0C000000
#define | CALL_MASK 0xFC000000
#define | IS_CALL(x) (((x) & CALL_MASK) == CALL)
#define | CALL_ADDR(x) (((x) & ~CALL_MASK) << 2)
#define | ELF_START (&_ftext)
#define | ELF_END (&_etext)

## Functions

int | pspDebugGetStackTrace2 (PspDebugRegBlock *regs, PspDebugStackTrace *trace, int max)
| Do a stack trace from the current exception.

## Variables

u32 | _ftext
u32 | _etext

## Define Documentation

#define CALL 0x0C000000

#define CALL_ADDR | ( | x |  | ) | (((x) & ~CALL_MASK) << 2)

#define CALL_MASK 0xFC000000

#define ELF_END (&_etext)

#define ELF_START (&_ftext)

#define IS_CALL | ( | x |  | ) | (((x) & CALL_MASK) == CALL)

## Variable Documentation

u32 _etext

u32 _ftext